=== modified file 'bzrlib/fetch.py'
--- bzrlib/fetch.py	2007-08-06 05:32:43 +0000
+++ bzrlib/fetch.py	2007-08-08 00:39:03 +0000
@@ -140,18 +140,18 @@
         if revs is None:
             return
         # The first phase is "file".  We pass the progress bar for it directly
-        # into get_data_about_revision_ids, which has more information about how
-        # that phase is progressing than we do.  Progress updates for the other
-        # phases are taken care of in this function.
+        # into get_data_to_fetch_for_revision_ids, which has more information
+        # about how that phase is progressing than we do.  Progress updates for
+        # the other phases are taken care of in this function.
         # XXX: there should be a clear owner of the progress reporting.  Perhaps
-        # get_data_about_revision_ids should have a richer API than it does at
-        # the moment, so that it can feed the progress information back to this
-        # function?
+        # get_data_to_fetch_for_revision_ids should have a richer API than it
+        # does at the moment, so that it can feed the progress information back
+        # to this function?
         phase = 'file'
         pb = bzrlib.ui.ui_factory.nested_progress_bar()
         try:
-            what_to_do = self.from_repository.get_data_about_revision_ids(revs, pb)
-            for knit_kind, file_id, revisions in what_to_do:
+            data_to_fetch = self.from_repository.get_data_to_fetch_for_revision_ids(revs, pb)
+            for knit_kind, file_id, revisions in data_to_fetch:
                 if knit_kind != phase:
                     phase = knit_kind
                     # Make a new progress bar for this phase

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2007-08-06 05:16:07 +0000
+++ bzrlib/repository.py	2007-08-08 00:39:03 +0000
@@ -633,7 +633,7 @@
             pb.finished()
         return result
 
-    def get_data_about_revision_ids(self, revision_ids, files_pb=None):
+    def get_data_to_fetch_for_revision_ids(self, revision_ids, files_pb=None):
         """Get an iterable about data for a given set of revision IDs.
 
         The named data will be ordered so that it can be fetched and inserted in

